<?php

/**
 * Customizer settings for the theme.
 *
 * @author akshitsethi
 * ------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


// Add customizer layout css settings to wp_head()
// ------------------------------------------

if ( ! function_exists( 'moscow_customizer_css_public' ) ) :
function moscow_customizer_css_public() {

	echo '<style>';

	// Sticky
	// ------------------------------------------
	// Boxed layout does not support sticky header in this version.

	if ( get_theme_mod( 'sticky' ) && 'boxed' != get_theme_mod( 'layout_style' ) ) {
		echo '.header{position:fixed;width:100%;}.main-content{padding-top: 130px;}.header-shrink{padding:15px 0;box-shadow:2px 0 18px 2px rgba(0,0,0,0.10);}@media (max-width:992px){.header{max-height:100%;overflow-y:auto;}}@media (max-width:480px){.main-content{padding-top:100px;}}';
	}


	// Background Image
	// ------------------------------------------

	if ( get_theme_mod( 'background_image' ) && 'boxed' == get_theme_mod( 'layout_style' ) ) {
		echo 'body{background-image:url(' . get_theme_mod( 'background_image' ) . ');background-repeat:no-repeat !important;background-position:center center !important;background-attachment:fixed !important;background-size:cover !important;}';
	}


	// Links Hover
	// ------------------------------------------

	if ( get_theme_mod( 'links_hover' ) ) {
		echo '.entry-title span,.copyright a,.social-links a{position: relative;}.navigation-menu>li>a,.site-title a,.entry-title span a,.copyright a,.social-links a{transition: color 0.5s;transition-timing-function: cubic-bezier(0.2,1,0.3,1);padding: 0;}.navigation-menu>li>a:before,.site-title a:before,.entry-title span a:before,.copyright a:before,.social-links a:before{content:"";position:absolute;background:#ECECEC;z-index:-1;bottom:0;left:0;width:100%;height:30%;transform:scale3d(0,1,1);transform-origin:0% 30%;transition:transform 0.5s;transition-timing-function:cubic-bezier(0.2,1,0.3,1);}.navigation-menu>li>a:hover:before,.navigation-menu>li>a:focus:before,.site-title a:hover:before,.site-title a:focus:before,.entry-title span a:hover:before,.entry-title span a:focus:before,.copyright a:hover:before,.copyright a:focus:before,.social-links a:hover:before,.social-links a:focus:before{transform:scale3d(1,1,1);}';
	}


	// Contact
	// ------------------------------------------

	if ( get_theme_mod( 'maps_height' ) ) {
		echo '.google-maps{height:' . absint( get_theme_mod( 'maps_height' ) ) . 'px;}';
	}

	echo '</style>' . "\r\n";

}
add_action( 'wp_head', 'moscow_customizer_css_public' );
endif;