<?php

/**
 * View: Author Information
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$moscow_author_name 		= esc_html( get_the_author_meta( 'display_name' ) );
$moscow_author_description 	= strip_tags( get_the_author_meta( 'description' ) );

?>

<div class="post-author-section">
	<div class="post-author-wrapper">
		<?php

			// Name
			// -------------------------------------------------

			printf( '<h3>by <span>%s</span></h3>', $moscow_author_name );

		?>

		<div class="post-author-image">
			<?php

				// Photo
				// -------------------------------------------------

				printf( '<div class="author-image">%s</div>', get_avatar( get_the_author_meta( 'user_email' ), '150' ) );

			?>
		</div><!-- .post-author-image -->

		<div class="post-author-information">
			<?php

				// Description
				// -------------------------------------------------

				printf( '<p class="author-bio">%s</p>', $moscow_author_description );

				// Links
				// -------------------------------------------------

				$moscow_social_args['website'] 		= get_the_author_meta( 'user_url' );
				$moscow_social_args['facebook'] 	= get_the_author_meta( 'facebook' );
				$moscow_social_args['twitter'] 		= get_the_author_meta( 'twitter' );
				$moscow_social_args['linked_in'] 	= get_the_author_meta( 'linked_in' );
				$moscow_social_args['google_plus'] 	= get_the_author_meta( 'google_plus' );
				$moscow_social_args['instagram'] 	= get_the_author_meta( 'instagram' );
				$moscow_social_args['youtube'] 		= get_the_author_meta( 'youtube' );

				echo '<div class="author-links">';

				// Website
				// -------------------------------------------------

				if ( ! empty( $moscow_social_args['website'] ) ) {
					echo  '<a href="' . esc_url( $moscow_social_args['website'] ) . '" class="website" target="_blank"><span><i class="fa fa-unlink"></i></span></a>';
				}

				// Facebook
				// -------------------------------------------------

				if ( ! empty( $moscow_social_args['facebook'] ) ) {
					echo  '<a href="' . esc_url( $moscow_social_args['facebook'] ) . '" class="facebook" target="_blank"><span><i class="fa fa-facebook"></i></span></a>';
				}

				// Twitter
				// -------------------------------------------------

				if ( ! empty( $moscow_social_args['twitter'] ) ) {
					echo  '<a href="' . esc_url( $moscow_social_args['twitter'] ) . '" class="twitter" target="_blank"><span><i class="fa fa-twitter"></i></span></a>';
				}

				// LinkedIn
				// -------------------------------------------------

				if ( ! empty( $moscow_social_args['linked_in'] ) ) {
					echo  '<a href="' . esc_url( $moscow_social_args['linked_in'] ) . '" class="linkedin" target="_blank"><span><i class="fa fa-linkedin"></i></span></a>';
				}

				// Google+
				// -------------------------------------------------

				if ( ! empty( $moscow_social_args['google_plus'] ) ) {
					echo  '<a href="' . esc_url( $moscow_social_args['google_plus'] ) . '" class="google" target="_blank"><span><i class="fa fa-google-plus"></i></span></a>';
				}

				// Instagram
				// -------------------------------------------------

				if ( ! empty( $moscow_social_args['instagram'] ) ) {
					echo  '<a href="' . esc_url( $moscow_social_args['instagram'] ) . '" class="instagram" target="_blank"><span><i class="fa fa-instagram"></i></span></a>';
				}

				// YouTube
				// -------------------------------------------------

				if ( ! empty( $moscow_social_args['youtube'] ) ) {
					echo  '<a href="' . esc_url( $moscow_social_args['youtube'] ) . '" class="youtube" target="_blank"><span><i class="fa fa-youtube-play"></i></span></a>';
				}

				echo '</div><!-- .author-links -->';

			?>
		</div><!-- .post-author-information -->
	</div><!-- .post-author-wrapper -->
</div><!-- .post-author-section -->