<?php

/**
 * Header section of the theme.
 * Displays all of the <head> section.
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php echo esc_url( get_bloginfo( 'pingback_url' ) ); ?>">
<?php wp_site_icon(); ?>
<?php

	/**
	 * Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 * -------------------------------------------------
	 */

	wp_head();

?>
</head>
<body <?php body_class(); ?>>
	<div class="as-body-wrapper">
		<?php if ( get_theme_mod( 'preloader' ) ) : ?>
			<div class="as-preload">
				<div class="as-loader"></div><!-- .as-loader -->
			</div><!-- .as-preload -->
		<?php endif; ?>
		<?php

			// Header
			// -------------------------------------------------

			get_template_part( 'framework/views/wp', 'header' );